
package imageConvolution;

import javax.swing.SwingUtilities;
import javax.swing.UIDefaults;
import javax.swing.UIManager;

import com.jgoodies.looks.LookUtils;
import com.jgoodies.looks.plastic.PlasticXPLookAndFeel;

/**
 * Application starter.<br>
 * Has the <code>main</code> method that can be started from OS shell.
 * 
 * @author TineL
 * @version 1.0, 29.11.2006
 * @since 1.0
 */
public class Start {

  /**
   * Starts the whole application. Creates main application window.
   * 
   * @param args the program arguments (not used).
   * @since 1.0
   */
  public static void main(String[] args) {
    SwingUtilities.invokeLater(new Runnable() {
      /**
       * @see java.lang.Runnable#run()
       * @since 1.0
       */
      public void run() {
        /*
         * Sets ENTER and SPACE keys to be the main action performers (for
         * buttons). When you press ENTER or SPACE and you are focused on the
         * button, the actionPerformed method is called. The default key is only
         * SPACE.
         */
        UIManager.getDefaults().put(
          "Button.focusInputMap",
          new UIDefaults.LazyInputMap(new Object[]{"ENTER", "pressed",
            "released ENTER", "released", "SPACE", "pressed", "released SPACE",
            "released"}));

        // For Java Web Start
        UIManager.put("ClassLoader", LookUtils.class.getClassLoader());

        // Set look and feel theme
        // PlasticXPLookAndFeel.setPlasticTheme(new DesertBlue());
        // PlasticXPLookAndFeel.setPlasticTheme(new DesertRed());
        // PlasticXPLookAndFeel.setPlasticTheme(new ExperienceBlue());
        // PlasticXPLookAndFeel.setPlasticTheme(new ExperienceGreen());
        // PlasticXPLookAndFeel.setPlasticTheme(new ExperienceRoyale());
        // PlasticXPLookAndFeel.setPlasticTheme(new LightGray());
        // PlasticXPLookAndFeel.setPlasticTheme(new Silver());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyBlue());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyBluer());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyGreen());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyKrupp());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyPink());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyRed());
        // PlasticXPLookAndFeel.setPlasticTheme(new SkyYellow());
        try {
          // Set look and feel
          // UIManager.setLookAndFeel(new WindowsLookAndFeel());
          // UIManager.setLookAndFeel(new Plastic3DLookAndFeel());
          // UIManager.setLookAndFeel(new PlasticLookAndFeel());
          UIManager.setLookAndFeel(new PlasticXPLookAndFeel());
        } catch (Exception e) {
          System.err
            .println("LogLogic.main: Look and feel error. Using default Java look and feel...");
        }

        // Start
        ProgramFlow.getInstance().start();
      }
    });
  }
}