
package imageConvolution.ui;

import java.io.File;
import java.util.HashSet;
import java.util.Set;

import javax.swing.filechooser.FileFilter;

/**
 * The image files filter for the file open/save dialog.
 * 
 * @author TineL
 * @version 1.0, 26.11.2006
 * @since 1.0
 */
public class ImagesFilter extends FileFilter {

  String description;

  Set extensions=new HashSet();

  public ImagesFilter(String description) {
    this.description=description;
  }

  /**
   * @see javax.swing.filechooser.FileFilter#accept(java.io.File)
   * @since 1.0
   */
  public boolean accept(File file) {
    if (file.isDirectory()) return true;
    String ext=getFileExtension(file);
    if (ext==null)
      return false;
    else
      return (getExtensions().contains(ext.toLowerCase()));
  }

  public void addExtension(String extension) {
    getExtensions().add(extension.toLowerCase());
  }

  public void addExtensions(String[] extensions) {
    for (int i=0; i<extensions.length; i++) {
      getExtensions().add(extensions[i].toLowerCase());
    }
  }

  /**
   * @see javax.swing.filechooser.FileFilter#getDescription()
   * @since 1.0
   */
  public String getDescription() {
    return this.description;
  }

  /**
   * @param file the file (<code>null</code> not permitted).
   * @return the file extension (<code>null</code> possible).
   * @since 1.0
   */
  public static String getFileExtension(File file) {
    String extension=null;
    String s=file.getName();
    int i=s.lastIndexOf('.');
    if (i>0&&i<s.length()-1) extension=s.substring(i+1);
    return extension;
  }

  /**
   * @return the extensions.
   * @since 1.0
   */
  private Set getExtensions() {
    return this.extensions;
  }
}
