
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;
import imageConvolution.logic.Mask;

/**
 * The Reset mask function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class ResetMaskFunction extends ButtonFunction {

  /** Singleton instance. */
  private static ResetMaskFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static ResetMaskFunction getInstance() {
    if (ResetMaskFunction.instance==null)
      ResetMaskFunction.instance=new ResetMaskFunction();
    return ResetMaskFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().getMainWindow().getOperationPane().setMask(Mask.MASK_NO_OP);
  }
}
