
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The Reset source image function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class ResetSourceFunction extends ButtonFunction {

  /** Singleton instance. */
  private static ResetSourceFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static ResetSourceFunction getInstance() {
    if (ResetSourceFunction.instance==null)
      ResetSourceFunction.instance=new ResetSourceFunction();
    return ResetSourceFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().resetSourceImage();
  }
}
