
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;
import imageConvolution.logic.Mask;

/**
 * The Set mask to blurring function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class SetBlurringFunction extends ButtonFunction {

  /** Singleton instance. */
  private static SetBlurringFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static SetBlurringFunction getInstance() {
    if (SetBlurringFunction.instance==null)
      SetBlurringFunction.instance=new SetBlurringFunction();
    return SetBlurringFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().getMainWindow().getOperationPane().setMask(
      Mask.MASK_DEFAULT_BLUR);
  }
}
