
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;
import imageConvolution.logic.Mask;

/**
 * The Set mask to embossing function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class SetEmbossingFunction extends ButtonFunction {

  /** Singleton instance. */
  private static SetEmbossingFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static SetEmbossingFunction getInstance() {
    if (SetEmbossingFunction.instance==null)
      SetEmbossingFunction.instance=new SetEmbossingFunction();
    return SetEmbossingFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().getMainWindow().getOperationPane().setMask(
      Mask.MASK_DEFAULT_EMBOSS);
  }
}
