
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;
import imageConvolution.logic.Mask;

/**
 * The Set mask to sharpening function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class SetSharpeningFunction extends ButtonFunction {

  /** Singleton instance. */
  private static SetSharpeningFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static SetSharpeningFunction getInstance() {
    if (SetSharpeningFunction.instance==null)
      SetSharpeningFunction.instance=new SetSharpeningFunction();
    return SetSharpeningFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().getMainWindow().getOperationPane().setMask(
      Mask.MASK_DEFAULT_SHARPEN);
  }
}
